<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Name: Lichaamsgewicht
Description: Body Weight
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000">
   <title>Lichaamsgewicht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]
Item: (Lichaamsgewicht)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]
Item: (Lichaamsgewicht)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]"
         id="d42e15-false-d108e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@classCode) = ('OBS')">(Lichaamsgewicht): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@moodCode) = ('EVN')">(Lichaamsgewicht): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']) &gt;= 1">(Lichaamsgewicht): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']) &lt;= 1">(Lichaamsgewicht): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:code[(@code = '27113001' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(Lichaamsgewicht): element hl7:code[(@code = '27113001' and @codeSystem = '2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:code[(@code = '27113001' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(Lichaamsgewicht): element hl7:code[(@code = '27113001' and @codeSystem = '2.16.840.1.113883.6.96')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:value) &gt;= 1">(Lichaamsgewicht): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="count(hl7:value) &lt;= 1">(Lichaamsgewicht): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']
Item: (Lichaamsgewicht)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']"
         id="d42e38-false-d157e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Lichaamsgewicht): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.99.62.3.10.1')">(Lichaamsgewicht): The value for root SHALL be '2.16.840.1.113883.3.1937.99.62.3.10.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:code[(@code = '27113001' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (Lichaamsgewicht)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:code[(@code = '27113001' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e43-false-d174e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(Lichaamsgewicht): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="@nullFlavor or (@code='27113001' and @codeSystem='2.16.840.1.113883.6.96')">(Lichaamsgewicht): The element value SHALL be one of 'code '27113001' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:value
Item: (Lichaamsgewicht)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:value"
         id="d42e49-false-d190e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(Lichaamsgewicht): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PQ". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="(@nullFlavor or (number(@value)&gt;=0)) or (@nullFlavor or (number(@value)&lt;=249.9))">(Lichaamsgewicht): value SHALL be in range [0..]   or be in range [..249.9]  </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Lichaamsgewicht): @value is not a valid PQ number <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Lichaamsgewicht): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="@value">(Lichaamsgewicht): attribute @value SHALL be present.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="not(@value) or matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(Lichaamsgewicht): Attribute @value is not a valid real number <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@unit) = ('kg')">(Lichaamsgewicht): The value for unit SHALL be 'kg'. Found: "<value-of select="@unit"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.1
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:entryRelationship[@typeCode = 'COMP']
Item: (Lichaamsgewicht)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:entryRelationship[@typeCode = 'COMP']">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.1-2011-01-28T000000.html"
              test="string(@typeCode) = ('COMP')">(Lichaamsgewicht): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.3
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:entryRelationship[@typeCode = 'COMP']
Item: (Gewichtstoename)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.3
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:entryRelationship[@typeCode = 'COMP']/ext:weightGain
Item: (Gewichtstoename)
-->
   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]/hl7:entryRelationship[@typeCode = 'COMP']/ext:weightGain">
      <extends rule="BL"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.3-2011-01-28T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'BL')">(Gewichtstoename): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
