<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.62.3.10.16
Name: Meting met naam en BSN
Description: Meting met naam en BSN
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000">
   <title>Meting met naam en BSN</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.16
Context: /
Item: (m)
-->

   <rule fpi="RULC-1" context="/" id="d42e224-false-d773e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:registrationProcess[not(@nullFlavor)]) &gt;= 1">(m): element hl7:registrationProcess[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:registrationProcess[not(@nullFlavor)]) &lt;= 1">(m): element hl7:registrationProcess[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.16
Context: /hl7:registrationProcess[not(@nullFlavor)]
Item: (m)
-->

   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]"
         id="d42e245-false-d825e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]) &gt;= 1">(m): element hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]) &lt;= 1">(m): element hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:organizer[not(@nullFlavor)]) &gt;= 1">(m): element hl7:organizer[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.16-2012-03-11T000000.html"
              test="count(hl7:organizer[not(@nullFlavor)]) &lt;= 1">(m): element hl7:organizer[not(@nullFlavor)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.14
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]
Item: (PersoonMetNaam)
-->

   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]"
         id="d822e72-false-d883e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="count(hl7:id[@root = '2.16.840.1.113883.2.4.6.3']) &gt;= 1">(PersoonMetNaam): element hl7:id[@root = '2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="count(hl7:id[@root = '2.16.840.1.113883.2.4.6.3']) &lt;= 1">(PersoonMetNaam): element hl7:id[@root = '2.16.840.1.113883.2.4.6.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &gt;= 1">(PersoonMetNaam): element hl7:name[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="count(hl7:name[not(@nullFlavor)]) &lt;= 1">(PersoonMetNaam): element hl7:name[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="count(hl7:birthTime) &lt;= 1">(PersoonMetNaam): element hl7:birthTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.6
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:id[@root = '2.16.840.1.113883.2.4.6.3']
Item: (Burgerservicenummer)
-->

   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:id[@root = '2.16.840.1.113883.2.4.6.3']"
         id="d879e42-false-d929e0">
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.6-2009-10-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(Burgerservicenummer): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.6-2009-10-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.3')">(Burgerservicenummer): The value for root SHALL be '2.16.840.1.113883.2.4.6.3'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.6-2009-10-01T000000.html"
              test="@extension">(Burgerservicenummer): attribute @extension SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.15
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:name
Item: (Naam)
-->

   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:name"
         id="d930e39-false-d948e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.15-2009-10-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PN')">(Naam): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.14
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:birthTime
Item: (PersoonMetNaam)
-->

   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:person[hl7:id[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:birthTime"
         id="d822e78-false-d958e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(PersoonMetNaam): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.14-2012-03-11T000000.html"
              test="not(*)">(PersoonMetNaam): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.12
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer
Item: (Meting)
-->

   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer"
         id="d959e33-false-d983e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Meting): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Meting): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]) &gt;= 1">(Meting): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]) &lt;= 1">(Meting): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]) &gt;= 1">(Meting): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]) &lt;= 1">(Meting): element hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.4
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:effectiveTime
Item: (Datummeting)
-->

   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:effectiveTime"
         id="d980e73-false-d1044e0">
      <extends rule="TS.DATE.MIN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.4-2012-10-01T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(Datummeting): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.4-2012-10-01T000000.html"
              test="not(*)">(Datummeting): <value-of select="local-name()"/> with datatype TS.DATE.MIN, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.5
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:author[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]
Item: (Metingdoor)
-->

   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:author[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]"
         id="d1045e33-false-d1061e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="string(@typeCode) = ('AUT')">(Metingdoor): The value for typeCode SHALL be 'AUT'. Found: "<value-of select="@typeCode"/>"</assert>
      <report fpi="CD-UNKN-BSP"
              role="warning"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt; 1">(Metingdoor): element hl7:code is coded with binding strength 'CWE' and contains a code other than the specified set.</report>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(Metingdoor): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.5
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:author[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (Metingdoor)
-->

   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:author[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d1045e37-false-d1087e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(Metingdoor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(Metingdoor): The element value SHALL be one of '2.16.840.1.113883.3.1937.99.62.3.11.5 vs-measured-by (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.1937.99.62.3.11.5-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.5-2011-01-28T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(Metingdoor): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set 2.16.840.1.113883.3.1937.99.62.3.11.5 vs-measured-by (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.12
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]
Item: (Meting)
-->
   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.1']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="string(@typeCode) = ('COMP')">(Meting): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.62.3.10.12
Context: /hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]
Item: (Meting)
-->
   <rule fpi="RULC-1"
         context="/hl7:registrationProcess[not(@nullFlavor)]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.62.3.10.2']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/demo1/demo1-html-20231129T141259/tmp-2.16.840.1.113883.3.1937.99.62.3.10.12-2012-03-11T000000.html"
              test="string(@typeCode) = ('COMP')">(Meting): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
